package com.ruoyi.ss.transactionBill.domain.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 提现申请DTO
 * @author wjh
 * 2024/7/28
 */
@Data
public class WithdrawDTO {

    @ApiModelProperty("提现金额")
    private BigDecimal money;

    @ApiModelProperty("提现到账金额")
    private BigDecimal arrivalAmount;

    @ApiModelProperty("服务费")
    private BigDecimal serviceCharge;

    @ApiModelProperty("服务费收取类型")
    private String serviceType;

    @ApiModelProperty("服务费")
    private BigDecimal serviceRate;

    @ApiModelProperty("提现渠道ID")
    private Long channelId;

    @ApiModelProperty("用户ID")
    private Long userId;

}
